Bug 60920 - PRINTING: Printing: Print dialogue looks stripped and flat
Summary: PRINTING: Printing: Print dialogue looks stripped and flat
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.0.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-02-15 18:22 UTC by Erich
Modified: 2013-02-21 08:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screenshot of Calc printing dialogue at Win 7-64 (52.79 KB, image/png)
2013-02-15 18:22 UTC, Erich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erich 2013-02-15 18:22:29 UTC
Created attachment 74897 [details]
screenshot of Calc printing dialogue at Win 7-64

Problem description: 

Steps to reproduce:
1. Open the dialogue box File - Print
2. Graphic elements like frames around fields are missing or not displayed

Expected behavior:
Should look/work better or equal compared to former versions
              
Operating System: Windows 7
Version: 4.0.0.3 release
Last worked in: 3.6.5.2 release
Comment 1 Caolán McNamara 2013-02-20 21:10:25 UTC
The missing border around "printer list" was fixed with bug 60450. The spacing around the various elements is too tight in 4-0 which makes it feel claustrophobic.

I don't personally intend to implement the lines around frames, (See To-Do, hook a DecorationView into VclFrame in vcl/source/window/layout.cxx if someone wants to do that on a per-theme basis as to whether to draw it or not)
Comment 2 Caolán McNamara 2013-02-20 21:11:31 UTC
bundle of proposed improvements as https://gerrit.libreoffice.org/#/c/2301/
Comment 3 Not Assigned 2013-02-21 08:37:23 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2e55c2f4dc2bdc780e70f771650b82819166953&h=libreoffice-4-0

Related: fdo#60920 various efforts to consistently apply HIG rules


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.